LocatorImpl (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.model.impl

## Class LocatorImpl

- java.lang.Object
- - tv.amwa.maj.model.impl.InterchangeObjectImpl
  - - tv.amwa.maj.model.impl.LocatorImpl

- All Implemented Interfaces:
    Serializable, Cloneable, QLocator, MediaEntity, MetadataObject, XMLSerializable, InterchangeObject, Locator
  Direct Known Subclasses:
    NetworkLocatorImpl, TextLocatorImpl

      @MediaClass(uuid1=218169601,
                  uuid2=257,
                  uuid3=12544,
                  uuid4={6,14,43,52,2,6,1,1},
                  definedName="Locator",
                  description="The Locator class provides information to help find a file that contains the essence or to help find the physical media.",
                  symbol="Locator",
                  isConcrete=false)
      public class LocatorImpl
      extends InterchangeObjectImpl
      implements Locator, QLocator, XMLSerializable, Serializable, Cloneable

  Implements the representation of information to help find a file that contains the essence or to help find the physical media.

  See Also:
    `TypeDefinitions.LocatorStrongReference`, `TypeDefinitions.LocatorStrongReferenceVector`, Serialized Form

- - ### Field Summary

    - ### Fields inherited from class tv.amwa.maj.model.impl.InterchangeObjectImpl

      `ObjectClassPropertyID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LocatorImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `appendXMLChildren(Node parent)` Append extra child elements to the given parent node to serialize the value of an object to an XML fragment.
    `Locator` | `clone()` Create a cloned copy of this interchange object.
    `String` | `getComment()` Include a comment when serializing a value to XML.
    `int` | `getNumberOfFiles()`
    `String` | `getPath()` Returns the path string property of this locator, which provides access to the URL property of a network locator and the name property of a text locator.
    `int` | `getTapeOffset()`
    `void` | `setNumberOfFiles(Integer numberOfFiles)`
    `void` | `setPath(String path)` Sets the path string property of this locator, which provides access to the URLString property of a network locator and the name property of a text locator.
    `void` | `setTapeOffset(Integer tapeOffset)`

    - ### Methods inherited from class tv.amwa.maj.model.impl.InterchangeObjectImpl

      `addApplicationPlugin, clearApplicationPlugins, containsApplicationPlugin, containsApplicationPlugin, countApplicationPlugins, deepEquals, disableGenerationTracking, enableGenerationTracking, equals, getApplicationPlugins, getGeneration, getLinkedGenerationID, getLinkedGenerationIDString, getObjectClass, getPersistentID, getPersistentIndex, hashCode, isGenerationTracked, removeApplicationPlugin, removeApplicationPlugin, setLinkedGenerationID, setLinkedGenerationIDString, setObjectClass, setPersistentID, setPersistentIndex, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface tv.amwa.maj.model.InterchangeObject

      `addApplicationPlugin, clearApplicationPlugins, containsApplicationPlugin, containsApplicationPlugin, countApplicationPlugins, deepEquals, disableGenerationTracking, enableGenerationTracking, equals, getApplicationPlugins, getGeneration, getLinkedGenerationID, getObjectClass, isGenerationTracked, removeApplicationPlugin, removeApplicationPlugin, setLinkedGenerationID, setObjectClass, toString`

    - ### Methods inherited from interface tv.amwa.maj.industry.MediaEntity

      `getPersistentID, setPersistentIndex`

- - ### Constructor Detail

    - #### LocatorImpl

          public LocatorImpl()

  - ### Method Detail

    - #### getPath

          public String getPath()

      Description copied from interface: `Locator`

      Returns the path string property of this locator, which provides access to the URL property of a network locator and the name property of a text locator.

      Specified by:
        `getPath` in interface `Locator`
      Returns:
        Path string property of this locator.
      See Also:
        `NetworkLocator.getURL()`

    - #### setPath

          public void setPath(String path)
                       throws NullPointerException

      Description copied from interface: `Locator`

      Sets the path string property of this locator, which provides access to the URLString property of a network locator and the name property of a text locator.

      Specified by:
        `setPath` in interface `Locator`
      Parameters:
        `path` - Path string property of this locator.
      Throws:
        `NullPointerException` - The given path is `null`.

    - #### getTapeOffset

          @MediaProperty(uuid1=-1389640793,
                         uuid2=18315,
                         uuid3=17801,
                         uuid4={-77,-110,107,-72,32,-116,69,40},
                         definedName="Tape offset",
                         symbol="Tape_offset",
                         aliases="Tape_offset",
                         typeName="Int32",
                         optional=true,
                         uniqueIdentifier=false,
                         pid=0,
                         prefix="q",
                         namespace="http://www.quantel.com/genQ/extensions")
           @Int32
          public int getTapeOffset()
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    throws PropertyNotPresentException

      Specified by:
        `getTapeOffset` in interface `QLocator`
      Throws:
        `PropertyNotPresentException`

    - #### setTapeOffset

          @MediaPropertySetter(value="Tape offset")
          public void setTapeOffset(@Int32
                                                                              Integer tapeOffset)

      Specified by:
        `setTapeOffset` in interface `QLocator`

    - #### getNumberOfFiles

          @MediaProperty(uuid1=445393838,
                         uuid2=-12206,
                         uuid3=19559,
                         uuid4={-93,52,29,-3,31,54,85,-116},
                         definedName="Number of files",
                         symbol="Number_of_files",
                         aliases="Number_of_files",
                         typeName="Int32",
                         optional=true,
                         uniqueIdentifier=false,
                         pid=0,
                         prefix="q",
                         namespace="http://www.quantel.com/genQ/extensions")
           @Int32
          public int getNumberOfFiles()
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              throws PropertyNotPresentException

      Specified by:
        `getNumberOfFiles` in interface `QLocator`
      Throws:
        `PropertyNotPresentException`

    - #### setNumberOfFiles

          @MediaPropertySetter(value="Number of files")
          public void setNumberOfFiles(@Int32
                                                                                     Integer numberOfFiles)

      Specified by:
        `setNumberOfFiles` in interface `QLocator`

    - #### clone

          public Locator clone()

      Description copied from interface: `InterchangeObject`

      Create a cloned copy of this interchange object.

      Specified by:
        `clone` in interface `MediaEntity`
      Specified by:
        `clone` in interface `InterchangeObject`
      Specified by:
        `clone` in interface `Locator`
      Overrides:
        `clone` in class `InterchangeObjectImpl`
      Returns:
        Cloned copy of this interchange object.

    - #### appendXMLChildren

          public void appendXMLChildren(Node parent)

      Description copied from interface: `XMLSerializable`

      Append extra child elements to the given parent node to serialize the value of an object to an XML fragment. Methods of the `XMLBuilder` class are provided to help with this process.

      Specified by:
        `appendXMLChildren` in interface `XMLSerializable`
      Overrides:
        `appendXMLChildren` in class `InterchangeObjectImpl`
      Parameters:
        `parent` - XML parent element to append child nodes to.

    - #### getComment

          public String getComment()

      Description copied from interface: `XMLSerializable`

      Include a comment when serializing a value to XML. The comment will be inserted as the first child node of the element representing the class.

      Specified by:
        `getComment` in interface `XMLSerializable`
      Overrides:
        `getComment` in class `InterchangeObjectImpl`
      Returns:
        Comment to add as the first child node of the element representing this class.

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.